summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorDan McGee <dan@archlinux.org>2010-06-24 15:32:33 +0200
committerDan McGee <dan@archlinux.org>2010-06-24 15:32:33 +0200
commit630e7508ee44f2c41ba3f5d17c0c9ac15b15af3b (patch)
tree3b043d1a1d22e527e112c40a7d11130ef69f5727 /scripts
parent71330a431040377ae9a37989fcfd43cee7596194 (diff)
parent6f4f9c1b66ed859b3679d70e15c003ab4907b823 (diff)
downloadpacman-630e7508ee44f2c41ba3f5d17c0c9ac15b15af3b.tar.gz
pacman-630e7508ee44f2c41ba3f5d17c0c9ac15b15af3b.tar.xz
Merge branch 'maint'
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in10
-rw-r--r--scripts/rankmirrors.sh.in12
2 files changed, 13 insertions, 9 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 71ad9415..cbc344de 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -382,11 +382,15 @@ run_pacman() {
}
check_deps() {
- (( $# > 0 )) || return
+ (( $# > 0 )) || return 0
+ # Disable error trap in pacman subshell call as this breaks bash-3.2 compatibility
+ # Also, a non-zero return value is not unexpected and we are manually dealing them
+ set +E
local ret=0
- pmout=$(run_pacman -T "$@")
- ret=$?
+ pmout=$(run_pacman -T "$@") || ret=$?
+ set -E
+
if (( ret == 127 )); then #unresolved deps
echo "$pmout"
elif (( ret )); then
diff --git a/scripts/rankmirrors.sh.in b/scripts/rankmirrors.sh.in
index 9b4e973a..b0dc1ab7 100644
--- a/scripts/rankmirrors.sh.in
+++ b/scripts/rankmirrors.sh.in
@@ -49,7 +49,7 @@ version() {
}
err() {
- echo "$1"
+ echo "$1" >&2
exit 1
}
@@ -70,15 +70,15 @@ ARCH="$(uname -m)"
getfetchurl() {
local strippedurl="${1%/}"
- local replacedurl="${replacedurl//'$arch'/$ARCH}"
+ local replacedurl="${strippedurl//'$arch'/$ARCH}"
if [[ ! $TARGETREPO ]]; then
- replacedurl="${strippedurl//'$repo'/core}"
+ replacedurl="${replacedurl//'$repo'/core}"
local tmp="${replacedurl%/*}"
tmp="${tmp%/*}"
local reponame="${tmp##*/}"
else
- replacedurl="${strippedurl//'$repo'/$TARGETREPO}"
+ replacedurl="${replacedurl//'$repo'/$TARGETREPO}"
local reponame="$TARGETREPO"
fi
@@ -184,9 +184,9 @@ fi
timesarray=()
for line in "${linearray[@]}"; do
- if [[ $line =~ ^# ]]; then
+ if [[ $line =~ ^[[:space:]]*# ]]; then
[[ $TIMESONLY ]] || echo $line
- elif [[ $line =~ ^Server ]]; then
+ elif [[ $line =~ ^[[:space:]]*Server ]]; then
# Getting values and times and such
server="${line#*= }"